package sgc.portal.co.co0108.service;

import java.util.List;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0108.dto.CO01080001USearch;
import sgc.portal.co.co0108.persistence.CO01080001UMapper;

@Service
public class CO01080001UService {
    private final CO01080001UMapper mapper;

    public CO01080001UService(CO01080001UMapper mapper) {
        this.mapper = mapper;
    }
    
    public List<EasyHashMap<String, Object>> getList1(CO01080001USearch search) {
        return mapper.getList1(search);
    }
    
    public List<EasyHashMap<String, Object>> getList2(CO01080001USearch search) {
        return mapper.getList2(search);
    }
    
    public List<EasyHashMap<String, Object>> getList3(CO01080001USearch search) {
        return mapper.getList3(search);
    }
}
